<template>
   <ObModal
    ref="deleteOrder"
    :edit-form="false"
    :isError="true"
    size="large"
    title="Хотите удалить черновик заказа?"
    ok-text="Удалить"
    cancel-text=" Оставить"
    :is-show-controls="true"
    data-qa="deleteOrderModal"
    @submit="$emit('delete')"
  >
    <slot />
  </ObModal>
</template>

<script>
  import ObModal from "common-components/src/obComponents/obModal";
  export default {
    name: 'DeleteOrderModal',
    components: {
      ObModal
    },
    methods: {
      open () {
        this.$refs.deleteOrder.open()
      },
      close () {
        this.$refs.deleteOrder.close()
      }
    }
  }
</script>

<style lang="scss" scoped>

</style>